All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class TriStateCheckBoxListCellRenderer

    com.sas.swing.visuals.TriStateCheckBoxListCellRenderer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.swing.ListCellRenderer

    public class TriStateCheckBoxListCellRenderer

Renders an item in a TriStateCheckBoxList. Instead of the cells being labels as in regular lists, TriStateCheckBoxList cells have a triStateCheckBox to change the state of the cell.

See Also:
  `TriStateCheckBoxList`, Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.CheckBoxListCellRenderer
`checkBox`

Constructor Summary
`TriStateCheckBoxListCellRenderer()` create the default components of the cell

Method Summary
`protected void` | `createCheckBox()` create the triStateCheckBox and add it to the cell
`java.awt.Component` | `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)` Return a component that has been configured to display the specified value.

Methods inherited from class com.sas.swing.visuals.CheckBoxListCellRenderer
`isBorderPaintedFlat, setBorderPaintedFlat`

Constructor Detail

### TriStateCheckBoxListCellRenderer

    public TriStateCheckBoxListCellRenderer()

  create the default components of the cell

Method Detail

### createCheckBox

    protected void createCheckBox()

  create the triStateCheckBox and add it to the cell

  Overrides:
    `createCheckBox` in class `CheckBoxListCellRenderer`

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list,
                                                           java.lang.Object value,
                                                           int index,
                                                           boolean isSelected,
                                                           boolean cellHasFocus)

  Return a component that has been configured to display the specified value.

  Specified by:
    `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`
  Overrides:
    `getListCellRendererComponent` in class `CheckBoxListCellRenderer`
  Parameters:
    `list` - The JList to paint
    `value` - The value returned by list.getModel().getElementAt(index)
    `index` - The cell's index
    `isSelected` - True if the specified cell was selected
    `cellHasFocus` - True if the specified cell has the focus
  Returns:
    A component whose paint() method will render the specified value

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.